<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: QuestionView_success.class.php,v 1.1 2005/06/20 09:31:25 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	QuestionView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	QuestionView
*/
class QuestionView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
				
        $renderer->setAttribute('exam_admin', $request->getAttribute('exam_admin'));
        $renderer->setAttribute('count', $request->getAttribute('count'));
        $renderer->setAttribute('rid', $request->getAttribute('rid'));
        $renderer->setAttribute('question_admin', $request->getAttribute('question_admin'));
        $renderer->setAttribute('back_flug', $request->getAttribute('back_flug'));
        $renderer->setAttribute('choices_admin', $request->getAttribute('choices_admin'));
        $renderer->setAttribute('choice_student', $request->getAttribute('choice_student'));
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));

		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Question_success.php');
		} else {
        	$renderer->setTemplate('Question_success_pc.php');
		}
        return $renderer;

    }

}

?>
